#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 26 May 2008                                                         *
#                                                                            *
#*****************************************************************************

.first
	define/nolog FL [-.FL]

CFLAGS=/include=([],[-])/name=(as_is,short)/float=ieee/list/show=all

CXXFLAGS=$(CFLAGS)

OBJECTS=\
	Fl.obj,\
	Fl_Adjuster.obj,\
	Fl_Bitmap.obj,\
	Fl_Browser.obj,\
	Fl_Browser_.obj,\
	Fl_Browser_load.obj,\
	Fl_Box.obj,\
	Fl_Button.obj,\
	Fl_Chart.obj,\
	Fl_Check_Browser.obj,\
	Fl_Check_Button.obj,\
	Fl_Choice.obj,\
	Fl_Clock.obj,\
	Fl_Color_Chooser.obj,\
	Fl_Counter.obj,\
	Fl_Dial.obj,\
	Fl_Double_Window.obj,\
	Fl_File_Browser.obj,\
	Fl_File_Chooser.obj,\
	Fl_File_Chooser2.obj,\
	Fl_File_Icon.obj,\
	Fl_File_Input.obj,\
	Fl_Group.obj,\
	Fl_Help_View.obj,\
	Fl_Image.obj,\
	Fl_Input.obj,\
	Fl_Input_.obj,\
	Fl_Light_Button.obj,\
	Fl_Menu.obj,\
	Fl_Menu_.obj,\
	Fl_Menu_Bar.obj,\
	Fl_Sys_Menu_Bar.obj,\
	Fl_Menu_Button.obj,\
	Fl_Menu_Window.obj,\
	Fl_Menu_add.obj,\
	Fl_Menu_global.obj,\
	Fl_Multi_Label.obj,\
	Fl_Overlay_Window.obj,\
	Fl_Pack.obj,\
	Fl_Pixmap.obj,\
	Fl_Positioner.obj,\
	Fl_Preferences.obj,\
	Fl_Progress.obj,\
	Fl_Repeat_Button.obj

OBJECTS1=Fl_Return_Button.obj,\
	Fl_Roller.obj,\
	Fl_Round_Button.obj,\
	Fl_Scroll.obj,\
	Fl_Scrollbar.obj,\
	Fl_Shared_Image.obj,\
	Fl_Single_Window.obj,\
	Fl_Slider.obj,\
	Fl_Tabs.obj,\
	Fl_Text_Buffer.obj,\
	Fl_Text_Display.obj,\
	Fl_Text_Editor.obj,\
	Fl_Tile.obj,\
	Fl_Tiled_Image.obj,\
	Fl_Tooltip.obj,\
	Fl_Valuator.obj,\
	Fl_Value_Input.obj,\
	Fl_Value_Output.obj,\
	Fl_Value_Slider.obj,\
	Fl_Widget.obj,\
	Fl_Window.obj,\
	Fl_Window_fullscreen.obj,\
	Fl_Window_hotspot.obj,\
	Fl_Window_iconize.obj,\
	Fl_Wizard.obj,\
	Fl_XBM_Image.obj,\
	Fl_XPM_Image.obj,\
	Fl_abort.obj,\
	Fl_add_idle.obj,\
	Fl_arg.obj,\
	Fl_compose.obj,\
	Fl_display.obj,\
	Fl_get_key.obj,\
	Fl_get_system_colors.obj,\
	Fl_grab.obj,\
	Fl_lock.obj,\
	Fl_own_colormap.obj,\
	Fl_visual.obj,\
	Fl_x.obj,\
	filename_absolute.obj,\
	filename_expand.obj,\
	filename_ext.obj,\
	filename_isdir.obj,\
	filename_list.obj,\
	filename_match.obj,\
	filename_setext.obj,\
	fl_arc.obj,\
	fl_arci.obj,\
	fl_ask.obj,\
	fl_boxtype.obj,\
	fl_color.obj

OBJECTS2=fl_cursor.obj,\
	fl_curve.obj,\
	fl_diamond_box.obj,\
	fl_dnd.obj,\
	fl_draw.obj,\
	fl_draw_image.obj,\
	fl_draw_pixmap.obj,\
	fl_engraved_label.obj,\
	fl_file_dir.obj,\
	fl_font.obj,\
	fl_labeltype.obj,\
	fl_line_style.obj,\
	fl_oval_box.obj,\
	fl_overlay.obj,\
	fl_overlay_visual.obj,\
	fl_plastic.obj,\
	fl_read_image.obj,\
	fl_rect.obj,\
	fl_round_box.obj,\
	fl_rounded_box.obj,\
	fl_set_font.obj,\
	fl_set_fonts.obj,\
	fl_scroll_area.obj,\
	fl_shadow_box.obj,\
	fl_shortcut.obj,\
	fl_show_colormap.obj,\
	fl_symbols.obj,\
	fl_vertex.obj,\
	screen_xywh.obj,\
	forms_compatability.obj,\
	forms_bitmap.obj,\
	forms_free.obj,\
	forms_fselect.obj,\
	forms_pixmap.obj,\
	forms_timer.obj,\
	Fl_Gl_Choice.obj,\
	Fl_Gl_Overlay.obj,\
	Fl_Gl_Window.obj,\
	gl_draw.obj,\
	gl_start.obj,\
	glut_compatability.obj,\
	glut_font.obj,\
	fl_images_core.obj,\
	Fl_BMP_Image.obj,\
	Fl_File_Icon2.obj,\
	Fl_GIF_Image.obj,\
	Fl_Help_Dialog.obj,\
	Fl_JPEG_Image.obj,\
	Fl_PNG_Image.obj,\
	Fl_PNM_Image.obj,\
	fl_call_main.obj,flstring.obj,scandir.obj,numericsort.obj,\
	vsnprintf.obj,fl_gtk.obj

all :
	$(MMS)$(MMSQUALIFIERS) [-]libfltk.olb

[-]libfltk.olb : $(OBJECTS) $(OBJECTS1) $(OBJECTS2)
	library/create [-]libfltk.olb $(OBJECTS)
	library [-]libfltk.olb $(OBJECTS1)
	library [-]libfltk.olb $(OBJECTS2)

$(OBJECTS) : [-]config.h
$(OBJECTS1) : [-]config.h
$(OBJECTS2) : [-]config.h

Fl.obj : Fl.cxx
Fl_Adjuster.obj : Fl_Adjuster.cxx
Fl_Bitmap.obj : Fl_Bitmap.cxx
Fl_Browser.obj : Fl_Browser.cxx
Fl_Browser_.obj : Fl_Browser_.cxx
Fl_Browser_load.obj : Fl_Browser_load.cxx
Fl_Box.obj : Fl_Box.cxx
Fl_Button.obj : Fl_Button.cxx
Fl_Chart.obj : Fl_Chart.cxx
Fl_Check_Browser.obj : Fl_Check_Browser.cxx
Fl_Check_Button.obj : Fl_Check_Button.cxx
Fl_Choice.obj : Fl_Choice.cxx
Fl_Clock.obj : Fl_Clock.cxx
Fl_Color_Chooser.obj : Fl_Color_Chooser.cxx
Fl_Counter.obj : Fl_Counter.cxx
Fl_Dial.obj : Fl_Dial.cxx
Fl_Double_Window.obj : Fl_Double_Window.cxx
Fl_File_Browser.obj : Fl_File_Browser.cxx
Fl_File_Chooser.obj : Fl_File_Chooser.cxx
Fl_File_Chooser2.obj : Fl_File_Chooser2.cxx
Fl_File_Icon.obj : Fl_File_Icon.cxx
Fl_File_Input.obj : Fl_File_Input.cxx
Fl_Group.obj : Fl_Group.cxx
Fl_Help_View.obj : Fl_Help_View.cxx
Fl_Image.obj : Fl_Image.cxx
Fl_Input.obj : Fl_Input.cxx
Fl_Input_.obj : Fl_Input_.cxx
Fl_Light_Button.obj : Fl_Light_Button.cxx
Fl_Menu.obj : Fl_Menu.cxx
Fl_Menu_.obj : Fl_Menu_.cxx
Fl_Menu_Bar.obj : Fl_Menu_Bar.cxx
Fl_Sys_Menu_Bar.obj : Fl_Sys_Menu_Bar.cxx
Fl_Menu_Button.obj : Fl_Menu_Button.cxx
Fl_Menu_Window.obj : Fl_Menu_Window.cxx
Fl_Menu_add.obj : Fl_Menu_add.cxx
Fl_Menu_global.obj : Fl_Menu_global.cxx
Fl_Multi_Label.obj : Fl_Multi_Label.cxx
Fl_Overlay_Window.obj : Fl_Overlay_Window.cxx
Fl_Pack.obj : Fl_Pack.cxx
Fl_Pixmap.obj : Fl_Pixmap.cxx
Fl_Positioner.obj : Fl_Positioner.cxx
Fl_Preferences.obj : Fl_Preferences.cxx
Fl_Progress.obj : Fl_Progress.cxx
Fl_Repeat_Button.obj : Fl_Repeat_Button.cxx
Fl_Return_Button.obj : Fl_Return_Button.cxx
Fl_Roller.obj : Fl_Roller.cxx
Fl_Round_Button.obj : Fl_Round_Button.cxx
Fl_Scroll.obj : Fl_Scroll.cxx
Fl_Scrollbar.obj : Fl_Scrollbar.cxx
Fl_Shared_Image.obj : Fl_Shared_Image.cxx
Fl_Single_Window.obj : Fl_Single_Window.cxx
Fl_Slider.obj : Fl_Slider.cxx
Fl_Tabs.obj : Fl_Tabs.cxx
Fl_Text_Buffer.obj : Fl_Text_Buffer.cxx
Fl_Text_Display.obj : Fl_Text_Display.cxx
Fl_Text_Editor.obj : Fl_Text_Editor.cxx
Fl_Tile.obj : Fl_Tile.cxx
Fl_Tiled_Image.obj : Fl_Tiled_Image.cxx
Fl_Tooltip.obj : Fl_Tooltip.cxx
Fl_Valuator.obj : Fl_Valuator.cxx
Fl_Value_Input.obj : Fl_Value_Input.cxx
Fl_Value_Output.obj : Fl_Value_Output.cxx
Fl_Value_Slider.obj : Fl_Value_Slider.cxx
Fl_Widget.obj : Fl_Widget.cxx
Fl_Window.obj : Fl_Window.cxx
Fl_Window_fullscreen.obj : Fl_Window_fullscreen.cxx
Fl_Window_hotspot.obj : Fl_Window_hotspot.cxx
Fl_Window_iconize.obj : Fl_Window_iconize.cxx
Fl_Wizard.obj : Fl_Wizard.cxx
Fl_XBM_Image.obj : Fl_XBM_Image.cxx
Fl_XPM_Image.obj : Fl_XPM_Image.cxx
Fl_abort.obj : Fl_abort.cxx
Fl_add_idle.obj : Fl_add_idle.cxx
Fl_arg.obj : Fl_arg.cxx
Fl_compose.obj : Fl_compose.cxx
Fl_display.obj : Fl_display.cxx
Fl_get_key.obj : Fl_get_key.cxx
Fl_get_system_colors.obj : Fl_get_system_colors.cxx
Fl_grab.obj : Fl_grab.cxx
Fl_lock.obj : Fl_lock.cxx
Fl_own_colormap.obj : Fl_own_colormap.cxx
Fl_visual.obj : Fl_visual.cxx
Fl_x.obj : Fl_x.cxx
filename_absolute.obj : filename_absolute.cxx
filename_expand.obj : filename_expand.cxx
filename_ext.obj : filename_ext.cxx
filename_isdir.obj : filename_isdir.cxx
filename_list.obj : filename_list.cxx
filename_match.obj : filename_match.cxx
filename_setext.obj : filename_setext.cxx
fl_arc.obj : fl_arc.cxx
fl_arci.obj : fl_arci.cxx
fl_ask.obj : fl_ask.cxx
fl_boxtype.obj : fl_boxtype.cxx
fl_color.obj : fl_color.cxx
fl_cursor.obj : fl_cursor.cxx
fl_curve.obj : fl_curve.cxx
fl_diamond_box.obj : fl_diamond_box.cxx
fl_dnd.obj : fl_dnd.cxx
fl_draw.obj : fl_draw.cxx
fl_draw_image.obj : fl_draw_image.cxx
fl_draw_pixmap.obj : fl_draw_pixmap.cxx
fl_engraved_label.obj : fl_engraved_label.cxx
fl_file_dir.obj : fl_file_dir.cxx
fl_font.obj : fl_font.cxx
fl_labeltype.obj : fl_labeltype.cxx
fl_line_style.obj : fl_line_style.cxx
fl_oval_box.obj : fl_oval_box.cxx
fl_overlay.obj : fl_overlay.cxx
fl_overlay_visual.obj : fl_overlay_visual.cxx
fl_plastic.obj : fl_plastic.cxx
fl_read_image.obj : fl_read_image.cxx
fl_rect.obj : fl_rect.cxx
fl_round_box.obj : fl_round_box.cxx
fl_rounded_box.obj : fl_rounded_box.cxx
fl_set_font.obj : fl_set_font.cxx
fl_set_fonts.obj : fl_set_fonts.cxx
fl_scroll_area.obj : fl_scroll_area.cxx
fl_shadow_box.obj : fl_shadow_box.cxx
fl_shortcut.obj : fl_shortcut.cxx
fl_show_colormap.obj : fl_show_colormap.cxx
fl_symbols.obj : fl_symbols.cxx
fl_vertex.obj : fl_vertex.cxx
screen_xywh.obj : screen_xywh.cxx
forms_compatability.obj : forms_compatability.cxx
forms_bitmap.obj : forms_bitmap.cxx
forms_free.obj : forms_free.cxx
forms_fselect.obj : forms_fselect.cxx
forms_pixmap.obj : forms_pixmap.cxx
forms_timer.obj : forms_timer.cxx
Fl_Gl_Choice.obj : Fl_Gl_Choice.cxx
Fl_Gl_Overlay.obj : Fl_Gl_Overlay.cxx
Fl_Gl_Window.obj : Fl_Gl_Window.cxx
gl_draw.obj : gl_draw.cxx
gl_start.obj : gl_start.cxx
glut_compatability.obj : glut_compatability.cxx
glut_font.cxxxx : glut_font.cxx
fl_images_core.obj : fl_images_core.cxx
Fl_BMP_Image.obj : Fl_BMP_Image.cxx
Fl_File_Icon2.obj : Fl_File_Icon2.cxx
	cxx $(CXXFLAGS)/nowarn Fl_File_Icon2.cxx
Fl_GIF_Image.obj : Fl_GIF_Image.cxx
Fl_Help_Dialog.obj : Fl_Help_Dialog.cxx
Fl_JPEG_Image.obj : Fl_JPEG_Image.cxx
Fl_PNG_Image.obj : Fl_PNG_Image.cxx
Fl_PNM_Image.obj : Fl_PNM_Image.cxx
fl_call_main.obj : fl_call_main.c
flstring.obj : flstring.c
scandir.obj : scandir.c
numericsort.obj : numericsort.c
vsnprintf.obj : vsnprintf.c
fl_gtk.obj : fl_gtk.cxx
