#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 16 February 2007                                                    *
#                                                                            *
#*****************************************************************************

.first
	define/nolog FL [-.FL]
	define/nolog FLTK$LIB [-]

.suffixes .fl

.obj.exe :
	cxxlink $(MMS$TARGET_NAME),[-]fltk/opt

.fl.cxx :
	mc [-.fluid]fluid$(EXEEXT) -c $(MMS$TARGET_NAME).fl

.fl.h :
	mc [-.fluid]fluid$(EXEEXT) -c $(MMS$TARGET_NAME).fl

CFLAGS=/include=([],[-])/name=(as_is,short)/float=ieee

CXXFLAGS=$(CFLAGS)

EXEEXT=.exe

TARGETS=\
	unittests$(EXEEXT) \
	adjuster$(EXEEXT) \
	arc$(EXEEXT) \
	ask$(EXEEXT) \
	bitmap$(EXEEXT) \
	boxtype$(EXEEXT) \
	browser$(EXEEXT) \
	button$(EXEEXT) \
	buttons$(EXEEXT) \
	checkers$(EXEEXT) \
	clock$(EXEEXT) \
	colbrowser$(EXEEXT) \
	color_chooser$(EXEEXT) \
	cursor$(EXEEXT) \
	curve$(EXEEXT) \
	demo$(EXEEXT) \
	doublebuffer$(EXEEXT) \
	editor$(EXEEXT) \
	fast_slow$(EXEEXT) \
	file_chooser$(EXEEXT) \
	fonts$(EXEEXT) \
	forms$(EXEEXT) \
	hello$(EXEEXT) \
	help$(EXEEXT) \
	iconize$(EXEEXT) \
	image$(EXEEXT) \
	inactive$(EXEEXT) \
	input$(EXEEXT) \
	input_choice$(EXEEXT) \
	keyboard$(EXEEXT) \
	label$(EXEEXT) \
	line_style$(EXEEXT) \
	list_visuals$(EXEEXT) \
	mandelbrot$(EXEEXT) \
	menubar$(EXEEXT) \
	message$(EXEEXT) \
	minimum$(EXEEXT) \
	navigation$(EXEEXT) \
	output$(EXEEXT) \
	overlay$(EXEEXT) \
	pack$(EXEEXT) \
	pixmap$(EXEEXT) \
	pixmap_browser$(EXEEXT) \
	preferences$(EXEEXT) \
	radio$(EXEEXT) \
	resize$(EXEEXT) \
	resizebox$(EXEEXT) \
	scroll$(EXEEXT) \
	subwindow$(EXEEXT) \
	sudoku$(EXEEXT) \
	symbols$(EXEEXT) \
	tabs$(EXEEXT) \
	threads$(EXEEXT) \
	tile$(EXEEXT) \
	tiled_image$(EXEEXT) \
	valuators$(EXEEXT) \
	cube$(EXEEXT) \
	CubeView$(EXEEXT) \
	fractals$(EXEEXT) \
	fullscreen$(EXEEXT) \
	gl_overlay$(EXEEXT) \
	glpuzzle$(EXEEXT) \
	shape$(EXEEXT)

OBJECTS=\
	unittests.obj,\
	adjuster.obj,\
	arc.obj,\
	ask.obj,\
	bitmap.obj,\
	boxtype.obj,\
	browser.obj,\
	button.obj,\
	buttons.obj,\
	checkers.obj,\
	clock.obj,\
	colbrowser.obj,\
	color_chooser.obj,\
	cursor.obj,\
	curve.obj,\
	demo.obj,\
	doublebuffer.obj,\
	editor.obj,\
	fast_slow.obj,\
	file_chooser.obj,\
	fonts.obj,\
	forms.obj,\
	hello.obj,\
	help.obj,\
	iconize.obj,\
	image.obj,\
	inactive.obj,\
	input.obj,\
	input_choice.obj,\
	keyboard.obj,\
	label.obj,\
	line_style.obj,\
	list_visuals.obj,\
	mandelbrot.obj,\
	menubar.obj,\
	message.obj,\
	minimum.obj,\
	navigation.obj,\
	output.obj,\
	overlay.obj,\
	pack.obj,\
	pixmap.obj,\
	pixmap_browser.obj,\
	preferences.obj,\
	radio.obj,\
	resize.obj,\
	resizebox.obj,\
	scroll.obj,\
	subwindow.obj,\
	sudoku.obj,\
	symbols.obj,\
	tabs.obj,\
	threads.obj,\
	tile.obj,\
	tiled_image.obj,\
	valuators.obj,\
	cube.obj,\
	CubeView.obj,\
	fractals.obj,\
	fullscreen.obj,\
	gl_overlay.obj,\
	glpuzzle.obj,\
	shape.obj


all : $(TARGETS)
	@ write sys$output "tests created"

$(TARGETS) : [-]libfltk.olb [-]fltk.opt

$(OBJECTS) : [-]config.h keyboard_ui.h mandelbrot_ui.h

unittests.obj : unittests.cxx
adjuster.obj : adjuster.cxx
arc.obj : arc.cxx
ask.obj : ask.cxx
bitmap.obj : bitmap.cxx
boxtype.obj : boxtype.cxx
browser.obj : browser.cxx
button.obj : button.cxx
buttons.obj : buttons.cxx
checkers.obj : checkers.cxx
clock.obj : clock.cxx
colbrowser.obj : colbrowser.cxx
color_chooser.obj : color_chooser.cxx
cursor.obj : cursor.cxx
curve.obj : curve.cxx
demo.obj : demo.cxx
doublebuffer.obj : doublebuffer.cxx
editor.obj : editor.cxx
fast_slow.obj : fast_slow.cxx
file_chooser.obj : file_chooser.cxx
fonts.obj : fonts.cxx
forms.obj : forms.cxx
hello.obj : hello.cxx
help.obj : help.cxx
iconize.obj : iconize.cxx
image.obj : image.cxx
inactive.obj : inactive.cxx
input.obj : input.cxx
input_choice.obj : input_choice.cxx
keyboard.obj : keyboard.cxx
label.obj : label.cxx
line_style.obj : line_style.cxx
list_visuals.obj : list_visuals.cxx
mandelbrot.obj : mandelbrot.cxx
menubar.obj : menubar.cxx
message.obj : message.cxx
minimum.obj : minimum.cxx
navigation.obj : navigation.cxx
output.obj : output.cxx
overlay.obj : overlay.cxx
pack.obj : pack.cxx
pixmap.obj : pixmap.cxx
pixmap_browser.obj : pixmap_browser.cxx
preferences.obj : preferences.cxx
radio.obj : radio.cxx
resize.obj : resize.cxx
resizebox.obj : resizebox.cxx
scroll.obj : scroll.cxx
subwindow.obj : subwindow.cxx
sudoku.obj : sudoku.cxx
symbols.obj : symbols.cxx
tabs.obj : tabs.cxx
threads.obj : threads.cxx
tile.obj : tile.cxx
tiled_image.obj : tiled_image.cxx
valuators.obj : valuators.cxx
cube.obj : cube.cxx
CubeView.obj : CubeView.cxx
fractals.obj : fractals.cxx
fullscreen.obj : fullscreen.cxx
gl_overlay.obj : gl_overlay.cxx
glpuzzle.obj : glpuzzle.cxx
shape.obj : shape.cxx
fracviewer.obj : fracviewer.cxx

unittests.exe : unittests.obj
adjuster.exe : adjuster.obj
arc.exe : arc.obj
ask.exe : ask.obj
bitmap.exe : bitmap.obj
boxtype.exe : boxtype.obj
browser.exe : browser.obj
button.exe : button.obj
buttons.exe : buttons.obj
checkers.exe : checkers.obj
clock.exe : clock.obj
colbrowser.exe : colbrowser.obj
color_chooser.exe : color_chooser.obj
cursor.exe : cursor.obj
curve.exe : curve.obj
demo.exe : demo.obj
doublebuffer.exe : doublebuffer.obj
editor.exe : editor.obj
fast_slow.exe : fast_slow.obj
file_chooser.exe : file_chooser.obj
fonts.exe : fonts.obj
forms.exe : forms.obj
hello.exe : hello.obj
help.exe : help.obj
iconize.exe : iconize.obj
image.exe : image.obj
inactive.exe : inactive.obj
input.exe : input.obj
input_choice.exe : input_choice.obj
keyboard.exe : keyboard.obj keyboard_ui.obj
	cxxlink keyboard.obj,keyboard_ui.obj,[-]fltk/opt
label.exe : label.obj
line_style.exe : line_style.obj
list_visuals.exe : list_visuals.obj
mandelbrot.exe : mandelbrot.obj mandelbrot_ui.obj
	cxxlink mandelbrot.obj,mandelbrot_ui.obj,[-]fltk/opt
menubar.exe : menubar.obj
message.exe : message.obj
minimum.exe : minimum.obj
navigation.exe : navigation.obj
output.exe : output.obj
overlay.exe : overlay.obj
pack.exe : pack.obj
pixmap.exe : pixmap.obj
pixmap_browser.exe : pixmap_browser.obj
preferences.exe : preferences.obj
radio.exe : radio.obj
resize.exe : resize.obj
resizebox.exe : resizebox.obj
scroll.exe : scroll.obj
subwindow.exe : subwindow.obj
sudoku.exe : sudoku.obj
symbols.exe : symbols.obj
tabs.exe : tabs.obj
threads.exe : threads.obj
tile.exe : tile.obj
tiled_image.exe : tiled_image.obj
valuators.exe : valuators.obj
cube.exe : cube.obj
CubeView.exe : CubeView.obj
fractals.exe : fractals.obj fracviewer.obj
	cxxlink fractals.obj,fracviewer.obj,[-]fltk/opt
fullscreen.exe : fullscreen.obj
gl_overlay.exe : gl_overlay.obj
glpuzzle.exe : glpuzzle.obj
shape.exe : shape.obj

CubeViewUI.cxx : CubeViewUI.fl
fast_slow.cxx : fast_slow.fl
inactive.cxx : inactive.fl
keyboard_ui.cxx : keyboard_ui.fl
mandelbrot_ui.cxx : mandelbrot_ui.fl
preferences.cxx : preferences.fl
radio.cxx : radio.fl
resize.cxx : resize.fl
tabs.cxx : tabs.fl
valuators.cxx : valuators.fl

keyboard_ui.h : keyboard_ui.fl
mandelbrot_ui.h : mandelbrot_ui.fl
